%define rel		1
%define cvs		20080709
%if %cvs
%define release		%mkrel 0.%{cvs}.%{rel}
%define distname	%{name}-%{cvs}.tar.lzma
%define dirname		%{name}
%else
%define release		%mkrel %{rel}
%define distname	%{name}-%{version}.tar.bz2
%define dirname		%{name}-%{version}
%endif

Name:		kxstitch
Version:	0.8.1
Release:	%{release}
Summary:	Creation and editing of cross stitch patterns
Source0:	http://downloads.sourceforge.net/%{name}/%{distname}
# the /kapptemplate/admin directory from kdesdk. as kdesdk cannot
# be installed on cooker as of 2008/07, we cannot just buildrequire
# kdesdk and copy it at build time. this stuff is needed for CVS build
# to work, as documented in the tarball - AdamW 2008/07
Source1:	kxstitch-admin.tar.lzma
Patch1:		kxstitch-imagemagick-6.3.8.5.diff
License:	GPLv2+
Group:		Graphics
URL:		http://kxstitch.sourceforge.net/
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	qt3-devel
BuildRequires:	kdelibs-devel
BuildRequires:	imagemagick-devel

Requires(post,postun):	desktop-common-data
Requires(post,postun):	desktop-file-utils

%description
Kxstitch is a program that lets you create cross stitch patterns and charts.
Patterns can be created from scratch on a user defined size of grid, which can
be enlarged or reduced in size as your pattern progresses.  Alternatively you
can import images from many graphics formats or use an image as a background. 
You can also scan images using any Sane supported scanner.
These imported images can then be modified using the supplied tools to produce
your final design.

%prep
%setup -q -n %{dirname} -a1
%patch1 -p1

%build
%if %cvs
chmod 0755 admin/detect-autoconf.pl
make -f Makefile.dist
%else
# needed for imagemagick patch if we're not using a CVS build
autoreconf
%endif
export CPPFLAGS=`Magick-config --cflags`
%configure2_5x --disable-rpath --disable-debug --with-qt-libraries=%{qt3lib}
%make

%install
rm -rf %{buildroot}
%makeinstall_std

rm -rf %{buildroot}%{_datadir}/applnk

mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/mandriva-%{name}.desktop <<EOF
[Desktop Entry]
Name=KXStitch
Comment=Creation and editing of cross stitch patterns
Exec=%{_bindir}/%{name} 
Icon=%{name}
Terminal=false
Type=Application
StartupNotify=true
Categories=KDE;Qt;Utility;Engineering;
EOF

%find_lang %{name}

%clean
rm -rf %{buildroot}

%if %mdkversion < 200900
%post
%{update_menus}
%{update_desktop_database}
%endif

%if %mdkversion < 200900
%postun
%{clean_menus}
%{clean_desktop_database}
%endif

%files -f %{name}.lang
%defattr(0755,root,root,0755)
%{_bindir}/%{name}
%defattr(0644,root,root,0755)
%doc AUTHORS
%{_datadir}/applications/mandriva-%{name}.desktop
%{_datadir}/mimelnk/application/%{name}.desktop
%{_datadir}/icons/*/*/apps/*.png
%{_datadir}/apps/%{name}
%{_datadir}/doc/HTML/en/*
%{_mandir}/man?/%{name}.?*



%changelog
* Thu Jul 10 2008 Adam Williamson <awilliamson@mandriva.com> 0.8.1-0.20080709.1mdv2009.0
+ Revision: 233322
- rebuild against new libmagick
- don't package COPYING
- just build a new menu entry in the spec as the shipped one is broken
- drop legacy icons
- drop legacy menu
- add autoreconf for stable builds to re-generate Makefile.in for
  imagemagick.diff
- clean buildrequires
- new license policy
- UGLY HACK: add source kxstitch-admin.tar.lzma: the bit of kapptemplate
  needed to do a CVS build, as kdesdk is currently un-installable
- drop the Makefile.in bit of imagemagick.diff as it won't work with a CVS snap
- drop gcc43.diff (superseded upstream)
- bump to CVS for gcc 4.2 and 4.3 build fixes

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

  + Oden Eriksson <oeriksson@mandriva.com>
    - added P0 from debian (still won't compile)
    - added P1 to make it link against new imagemagick libs
    - rebuilt against new imagemagick libs
    - rebuilt against new imagemagick libs (6.3.7)

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request
    - do not hardcode bz2 extension

* Tue May 15 2007 Herton Ronaldo Krzesinski <herton@mandriva.com.br> 0.8-2mdv2008.0
+ Revision: 26976
- Updated BuildRequires.
- Rebuild with new libjasper.
- Import kxstitch



* Thu Aug 31 2006 Couriousous <couriousous@mandriva.org> 0.8-1mdv2007.0
- 0.8

* Thu Aug 17 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.7-7mdv2007.0
- Rebuild against new dbus

* Thu Jul 06 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.7-6mdv2007.0
- Rebuild for new menu && extension

* Fri Mar 17 2006 Couriousous <couriousous@mandriva.org> 0.7-5mdk
- Rebuild

* Sat Jan 14 2006 Couriousous <couriousous@mandriva.org> 0.7-4mdk
- Rebuild

* Wed Aug 24 2005 Oden Eriksson <oeriksson@mandriva.com> 0.7-3mdk
- rebuilt against new Magick libs

* Sun Jul 31 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.7-2mdk
- Fix BuildRequires

* Fri Jul 15 2005 Couriousous <couriousous@mandriva.org> 0.7-1mdk
- 0.7

* Fri Mar 25 2005 Couriousous <couriousous@mandrake.org> 0.6-2mdk
- Rebuild

* Sun Jan 2 2005 Couriousous <couriousous@mandrake.org> 0.6-1mdk
- First Mandrakelinux package
